-- SQL script for creation of attachment database in MySql
--
-- kudos: DEWS project http://www.dews-online.org

/*
PREPARATION

mysql -u root -p

CREATE DATABASE IF NOT EXISTS attachments CHARACTER SET = 'UTF8';
CREATE USER attachments IDENTIFIED BY 'attachments';


*/

CREATE TABLE attachments
(
  id               Bigint(20) NOT NULL AUTO_INCREMENT,
  correlationid    varchar(100),
  data             MEDIUMBLOB,
  Primary Key (id)
) ENGINE = InnoDB;


/* 
 POSTPARATION :)

GRANT SELECT, INSERT, DELETE, UPDATE ON attachments.attachments TO attachments;

*/