-- SQL script for creation of attachment database in postgreSQL
--
-- kudos: DEWS project http://www.dews-online.org

/*
PREPARATION

sudo -u postgres -i

DROP DATABASE attachments;
DROP ROLE attachments;


CREATE ROLE attachments LOGIN
 PASSWORD 'attachment' 
 NOSUPERUSER NOINHERIT NOCREATEDB NOCREATEROLE;

CREATE DATABASE attachments
	   OWNER attachments
	   ENCODING = 'UTF8'
	   TEMPLATE=template0;
*/

DROP SEQUENCE attachment_store_db;

CREATE SEQUENCE attachment_store_db;
CREATE SEQUENCE  seq_attachments;

CREATE TABLE attachments
(
  id               Bigint NOT NULL,
  correlationid    varchar(100),
  data             oid,
  primary key (id)
);
